Name:           gpick
Version:        0.2.4
Release:        %mkrel 1
Summary:        Advanced color picker written in C++ using GTK+ toolkit
License:        BSD
Group:          Graphics
URL:            http://code.google.com/p/gpick/

Source0:        %{name}_%{version}.tar.gz

BuildRequires:  gtk2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  scons
BuildRequires:  boost-devel
BuildRequires:  flex

%description
Gpick is an advanced color picker written in C++ using GTK+ toolkit.
Its main features are:
    - Create palettes from images
    - Color scheme creation tools
    - Fast color picking
    - Magnification
    - Colors automatically named
        + Closest color name is found using CIE94 color difference function,
          which is closer to the way humans interpret color differences, than
          difference of red, green and blue color amounts 
    - Export to following formats
        + Inkscape/Gimp Palette (*.gpl)
        + Adobe Swatch Exchange (*.ase)
        + Alias/WaveFront Material (*.mtl) 
    - Import from following formats:
        + Inkscape/Gimp Palette (*.gpl)
        + Adobe Swatch Exchange (*.ase) 
    - Picked colors can be copied to clipboard in multiple formats
        + Hexadecimal notation - #rrggbb
        + Functional RGB notation - rgb(red, green, blue)
        + Functional HSL notation - hsl(hue, saturation, lightness)
        + Custom conversions can be done, but requires some Lua language
          knowledge 
    - Oversampling with five falloff types
        + Multiple pixel values are averaged to help picking colors from
          sources with noise, patterns and etc, where each pixel is different
          and overall color is produced by different amounts of particular
          color 
    - Mix two or more colors using variable number of steps and different
      mixing types
    - Create lightness and/or saturation variations
    - Create harmonious colors
    - Create color schemes 

%prep
%setup -q -n %{name}_%{version}

%build

%install
rm -rf %{buildroot}
%scons_install DESTDIR=%{buildroot}/usr

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/gpick.png
%{_iconsdir}/hicolor/scalable/apps/gpick.svg
%{_mandir}/man1/gpick.1.xz



%changelog

* Wed Sep 14 2011 obgr_seneca <obgr_seneca> 0.2.4-1.mga2
+ Revision: 143536
- imported package gpick


* Fri Aug 19 2011 Oliver Burger <oliver.bgr@googlemail.com> 0.2.4-1.mga1
- initial build for Mageia
